OpenTTD: WindowDesc Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields | Private Member Functions
WindowDesc Struct Reference

High level window description. More...

`#include <window_gui.h>`

Inheritance diagram for WindowDesc:

## Public Member Functions
| WindowDesc (WindowPosition default_pos, const char *ini_key, int16 def_width, int16 def_height, WindowClass window_class, WindowClass parent_class, uint32 flags, const NWidgetPart *nwid_parts, int16 nwid_length, HotkeyList *hotkeys=NULL)
| Window description constructor.
int16 | GetDefaultWidth () const
int16 | GetDefaultHeight () const
Public Member Functions inherited from ZeroedMemoryAllocator
void * | operator new (size_t size)
| Memory allocator for a single class instance.
void * | operator new[] (size_t size)
| Memory allocator for an array of class instances.
void | operator delete (void *ptr)
| Memory release for a single class instance.
void | operator delete[] (void *ptr)
| Memory release for an array of class instances.

## Static Public Member Functions
static void | LoadFromConfig ()
| Load all WindowDesc settings from _windows_file.
static void | SaveToConfig ()
| Save all WindowDesc settings to _windows_file.

## Data Fields
WindowPosition | default_pos
| Preferred position of the window.
int16 | default_width
| Preferred initial width of the window.
int16 | default_height
| Preferred initial height of the window.
WindowClass | cls
| Class of the window,.
WindowClass | parent_cls
| Class of the parent window.
const char * | ini_key
| Key to store window defaults in openttd.cfg. `NULL` if nothing shall be stored.
uint32 | flags
| Flags.
const NWidgetPart * | nwid_parts
| Nested widget parts describing the window.
int16 | nwid_length
| Length of the nwid_parts array.
HotkeyList * | hotkeys
| Hotkeys for the window.
bool | pref_sticky
| Preferred stickyness.
int16 | pref_width
| User-preferred width of the window. Zero if unset.
int16 | pref_height
| User-preferred height of the window. Zero if unset.

## Private Member Functions
| WindowDesc (const WindowDesc &other)
| Dummy private copy constructor to prevent compilers from copying the structure, which fails due to _window_descs.

## Detailed Description

High level window description.

Definition at line 168 of file window_gui.h.

## Constructor & Destructor Documentation

WindowDesc::WindowDesc | ( | WindowPosition | def_pos,
|  | const char * | ini_key,
|  | int16 | def_width,
|  | int16 | def_height,
|  | WindowClass | window_class,
|  | WindowClass | parent_class,
|  | uint32 | flags,
|  | const NWidgetPart * | nwid_parts,
|  | int16 | nwid_length,
|  | HotkeyList * | hotkeys = `NULL`
| ) |  |

Window description constructor.

Definition at line 90 of file window.cpp.

References SmallVector< T, S >::Append().

## Field Documentation

WindowClass WindowDesc::cls

Class of the window,.

See Also
  WindowClass.

Definition at line 179 of file window_gui.h.

Referenced by AllocateWindowDescFront(), Window::InitializeData(), and ShowCompanyGroup().

WindowPosition WindowDesc::default_pos

Preferred position of the window.

See Also
  WindowPosition()

Definition at line 176 of file window_gui.h.

Referenced by Window::InitializeData(), and LocalGetWindowPlacement().

uint32 WindowDesc::flags

Flags.

See Also
  WindowDefaultFlag

Definition at line 182 of file window_gui.h.

Referenced by DeleteConstructionWindows(), DispatchLeftClickEvent(), and MaybeBringWindowToFront().

WindowClass WindowDesc::parent_cls

Class of the parent window.

See Also
  WindowClass

Definition at line 180 of file window_gui.h.

Referenced by LocalGetWindowPlacement().

The documentation for this struct was generated from the following files:

- src/window_gui.h
- src/window.cpp